# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Protected Attributes | List of all members
DBus::InterfaceProxy Class Reference

`#include <interface.h>`

Inheritance diagram for DBus::InterfaceProxy:

## Public Member Functions

| InterfaceProxy (const std::string &name)
Message | invoke_method (const CallMessage &)
bool | invoke_method_noreply (const CallMessage &call)
bool | dispatch_signal (const SignalMessage &)
Public Member Functions inherited from DBus::Interface
| Interface (const std::string &name)
virtual | ~Interface ()
const std::string & | name () const
Public Member Functions inherited from DBus::ProxyBase
virtual const ObjectProxy * | object () const =0

## Protected Attributes

SignalTable | _signals
Protected Attributes inherited from DBus::ProxyBase
InterfaceProxyTable | _interfaces

## Additional Inherited Members

Protected Member Functions inherited from DBus::ProxyBase
InterfaceProxy * | find_interface (const std::string &name)
virtual | ~ProxyBase ()
virtual Message | _invoke_method (CallMessage &)=0
virtual bool | _invoke_method_noreply (CallMessage &call)=0

## Detailed Description

Definition at line 163 of file interface.h.

## Constructor & Destructor Documentation

## ◆ InterfaceProxy()

InterfaceProxy::InterfaceProxy | ( | const std::string & | name | ) |

Definition at line 123 of file interface.cpp.

References DBus::ProxyBase::_interfaces, DBus::debug_log, DBus::Interface::Interface(), and DBus::Interface::name().

Referenced by DBus::IntrospectableProxy::IntrospectableProxy(), and DBus::PropertiesProxy::PropertiesProxy().

## Member Function Documentation

## ◆ dispatch_signal()

bool InterfaceProxy::dispatch_signal | ( | const SignalMessage & | msg | ) |

Definition at line 131 of file interface.cpp.

References _signals, DBus::SignalMessage::member(), and DBus::Interface::name().

Referenced by DBus::ObjectProxy::handle_message().

## ◆ invoke_method()

Message InterfaceProxy::invoke_method | ( | const CallMessage & | call | ) |

Definition at line 151 of file interface.cpp.

References DBus::ProxyBase::_invoke_method(), DBus::CallMessage::interface(), and DBus::Interface::name().

Referenced by DBus::IntrospectableProxy::Introspect().

## ◆ invoke_method_noreply()

bool InterfaceProxy::invoke_method_noreply | ( | const CallMessage & | call | ) |

Definition at line 161 of file interface.cpp.

References DBus::ProxyBase::_invoke_method_noreply(), DBus::CallMessage::interface(), and DBus::Interface::name().

## Member Data Documentation

## ◆ _signals

SignalTable DBus::InterfaceProxy::_signals

protected

Definition at line 177 of file interface.h.

Referenced by dispatch_signal().

The documentation for this class was generated from the following files:

- interface.h
- interface.cpp